<template>
  <div class="custom-panel-div">

    <v-col>
      <v-row>
        <h1 style="font-size: 18px;letter-spacing: -0.025em;color: #00468A;">
          Trete İşlemleri
        </h1>
      </v-row>
      <v-row>
        <h2 style="font-size: 14px;color: #5A5A5A;">Trete >
          Filtreleme - Listeleme - Ekleme</h2>
      </v-row>
    </v-col>

    <v-expansion-panels v-model="panel" :disabled="disabled" multiple>
      <custom-expansion-panel :items="items" />
    </v-expansion-panels>

    <div v-show="false">
      <TreteFilter />
      <TreteAdd />
      <TreteList />
    </div>
  </div>
</template>
<script>
import { ref } from 'vue';
import CustomExpansionPanel from '@/components/custom-controller/CustomExpansionPanel.vue';
import TreteAdd from './components/TreteAdd.vue'
import TreteFilter from './components/TreteFilter.vue'
import TreteList from './components/TreteList.vue'


export default {
  components: {
    CustomExpansionPanel,
    TreteAdd,
    TreteFilter,
    TreteList
  },
  setup() {
    const panel = ref([0, 1]);
    const disabled = ref(false);
    const items = ref([
      {
        title: "Trete  Filtrele",
        isCustomInput: false,
        name: "",
        isCustomButton: false,
        customComponents: TreteFilter,
      },
      {
        title: "Trete  Listele",
        isCustomInput: false,
        name: "",
        isCustomButton: false,
        customComponents: TreteList,
      },
      {
        title: "Trete  Ekle",
        isCustomInput: false,
        name: "",
        isCustomButton: false,
        customComponents: TreteAdd,
      },
    ]);

    return {
      panel,
      disabled,
      items
    };
  },
};
</script>
<style >

</style>
